Mittwoch, 4. Februar 2009

Google Earth 5 unter Debian

Beim Start von Googlearth 5 erhielt ich folgende Fehlermeldung:

googleearth-bin: relocation error:
/usr/lib/lib32/i686/cmov/libssl.so.0.9.8: symbol BIO_test_flags, version OPENSSL_0.9.8 not defined in file libcrypto.so.0.9.8 with link time reference

Hier besteht scheinbar ein Konflikt zwischen den von Google mitgelieferten Bibliotheken und denen auf dem System. Folgendes beseitigt den Fehler:


cd ~/google-earth
mv libcrypto.so.0.9.8 libcrypto.so.0.9.8_old
ln -s /usr/liblibcrypto.so.0.9.8 ./libcrypto.so.0.9.8

Also die von Google mitgelieferte Lib durch einen Link auf die System eigene Lib ersetzen.

1 Kommentar: